.flexbox-column {
  display: flex;
  flex-direction: column;
}

.protein-table {
  /*height: calc(100vh - 64px - 2rem - 1.5rem - 0.5rem - 1.25rem - 1.25rem - 48px - 140px);*/
  margin-top: 1rem;
  /* max-height: 33rem; */
  padding: 1rem;
  border:1px solid rgba(0,0,0,.125);
  border-radius: 4px;
  background: #003f9703;
}

.table-border {
  border:1px solid rgba(0,0,0,.125);
}

.table-element-row {
  cursor: pointer;
}

.table-element-row:not(.table-disabled-row):hover {
  background: #f5f5f5;
}

.table-highlight-row {
  background: #FFDBD6;
  height: 32px;
}

.table-highlight-row:hover {
  background: #f5d3d3;
  cursor: pointer;
}

.table-disabled-row {
  background:#c4c4c4;
  opacity: 40%;
  cursor: default;
}

tr.table-detail-row{
  height: 0;
}

.table-detail-cell{
  padding-left:138px;
}

.group-row {
  height: 32px;
  opacity: 1;
  transition: opacity 1s, height 1s;
}
.subgroup-row {
  height: 28px;
  opacity: 1;
  transition: opacity 1s, height 1s;
}

.detail-table {
  /* height: 30rem */
}

.details-accordion-item {
  /* position:relative; */
  display:-ms-flexbox;
  display:flex;
  -ms-flex-direction:column;
  flex-direction:column;
  width: 100%;
  padding-top: 5px;
  padding-bottom: 5px;
  align-items: center;
  word-wrap:break-word;
  background-color:#fff;
  background-clip:border-box;
  border:1px solid rgba(0,0,0,.125);
  height: 100%
}

.details-accordion-item-header {
  background-color: #005aa9; /* Light gray background */
  padding: 8px;
  border: 2px solid #005aa9;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.1s ease;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.details-accordion-item-header:hover {
  background-color: #00adef;
  transform: scale(1.02);
}

.details-accordion-item-header-text {
  font-weight: bold;
  color: white;
}

.click-hint {
  font-weight: bold;
  margin-right: 8px;
}

.details-accordion-item-body {
  border-top: 1px solid rgba(0,0,0,.125);;
  width: 100%;
  height: 100%;
  background: #003f9703;
}

.details-accordion-item:first-child {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.details-accordion-item:last-child {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

:host ::ng-deep .mat-button-toggle-appearance-standard .mat-button-toggle-label-content {
    line-height: unset;
    /*padding: 0 12px;*/
}

.mat-column-proteinGroupID{
  width: 15%;
  text-align: center;
  padding-left: 10px;
}

/* Currently not used  */
/* .mat-column-quantification {
  width: 5%;
  text-align:center;
  padding: 0 0;
}
.mat-column-representativeAccession {
  width: 20%;
  text-align: left;
  padding: 0 0;
}
.mat-column-representativeDescription {
  width: 30%;
  text-align: left;
  padding: 0 0;
}
.mat-column-checkbox {
  width: 5%;
  text-align: center;
  padding: 0 0px;
} */

.protein-table-visibility-button {
  height: 15px;
  width: 15px;
}

/* the only function of this class is to provide the mpa-table.component a class to grab elements by */
.checkbox-selected {}


.details-accordion-item-header-text {
  font-weight: 400;
  margin-top: 10px;
  margin-bottom: 10px;
  font-style: bold;
  }
